/*ScianStdDraw.h
  Eric Pepke
  June 16, 1991

  Standard CMAP mode picture drawing traversal.  It's an include file to 
  limit the amount of typing I have to do.  I would have made it a macro,
  but it has #defines
*/

	switch (curLightShading)
	{
	    case NOLIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PCNN
#define V VCNN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PCNM
#define V VCNM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PCNS
#define V VCNS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	    case MONOLIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PCMN
#define V VCMN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PCMM
#define V VCMM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PCMS
#define V VCMS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	    case SMOOTHLIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PCSN
#define V VCSN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PCSM
#define V VCSM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PCSS
#define V VCSS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	    case DEPTHCUELIGHT:
		switch (curColorShading)
		{
		    case NOCOLOR:
#define P PCDN
#define V VCDN
			TRAVERSE;
#undef P
#undef V
			break;
		    case MONOCOLOR:
#define P PCDM
#define V VCDM
			TRAVERSE;
#undef P
#undef V
			break;
		    case SMOOTHCOLOR:
#define P PCDS
#define V VCDS
			TRAVERSE;
#undef P
#undef V
			break;
		}
		break;
	}
